// Oleg Petruny proprietary.


#include "AgeOfWarManager.h"

#include "MainGameModeBase.h"
#include "PlayerBase.h"

AAgeOfWarManager::AAgeOfWarManager()
{}

void AAgeOfWarManager::Start(APlayerBase* playerPawn, FMinigameEndCallback delegate)
{
    if(!playerPawn)
        return;

    AMinigame::Start(playerPawn, delegate);

    player->LockPlayer(FPlayerLock::All());
}

void AAgeOfWarManager::End()
{
    player->UnlockPlayer(FPlayerLock::All());

    AMinigame::End();
}
